# Note that this is NOT a relocatable package
%define minor    13

Summary:   GIMP Toolkit and GIMP Drawing Kit support library
Name:      glib2
Version:   1.3.%{minor}
Release:   2mdk
License:   LGPL
Group:     System/Libraries
Source:    ftp://ftp.gtk.org/pub/gtk/v1.3/glib-%{version}.tar.bz2
BuildRequires: autoconf automake gcc gettext pkgconfig >= 0.8
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL:       http://www.gtk.org
Requires:  common-licenses

%description
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.
You should install Glib because many of your applications
will depend on this library.

%package -n libglib1.3_%{minor}
Summary: %{summary}
Group: %{group}
Provides: %{name} = %{version}
Provides: lib%{name} = %{version}
Obsoletes: %{name}

%description -n libglib1.3_%{minor}
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.
You should install Glib because many of your applications
will depend on this library.

This package contains the library needed to run programs dynamically
linked with the glib.

%package -n libglib1.3_%{minor}-devel
Summary: Static libraries and header files of %{name}
Group: Development/C
Requires: libglib1.3_%{minor} = %{version}
Requires: pkgconfig >= 0.8
Requires: glib-gettextize = %{version}
Provides: libglib2-devel = %{version}
Provides: libglib1.3-devel = %{version}

%description -n libglib1.3_%{minor}-devel
Static libraries and header files for the support library for the GIMP's X
libraries, which are available as public libraries.  GLIB includes generally
useful data structures.


%package -n glib-gettextize
Summary: Gettextize replacement
Group: Development/Other

%description -n glib-gettextize
%{name} package is designed to replace gettextize completely.
Various gettext related files are modified in glib and gtk+ to
allow better and more flexible i18n; however gettextize overwrites
them with its own copy of files, thus nullifying the changes.
If this replacement of gettextize is run instead, then all gnome
packages can potentially benefict from the changes.

%prep
%setup -n glib-%{version} -q

# this is needed to avoid problems with libtool 
aclocal
autoconf

%build
%configure
%make
make check

%install
rm -rf $RPM_BUILD_ROOT


%makeinstall_std

%find_lang glib20

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libglib1.3_%{minor} -p /sbin/ldconfig

%postun -n libglib1.3_%{minor} -p /sbin/ldconfig

%files -n libglib1.3_%{minor} -f glib20.lang
%defattr(-, root, root)
%doc README
%{_libdir}/libglib-1.3.so.*
%{_libdir}/libgmodule-1.3.so.*
%{_libdir}/libgthread-1.3.so.*
%{_libdir}/libgobject-1.3.so.*

%files -n libglib1.3_%{minor}-devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/glib-2.0
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man1/*
%{_datadir}/aclocal/glib-2.0.m4
%{_bindir}/glib-genmarshal
%{_bindir}/glib-mkenums
%{_bindir}/gobject-query

%files -n glib-gettextize
%defattr(-, root, root)
%{_bindir}/glib-gettextize
%{_datadir}/aclocal/glib-gettext.m4
%{_datadir}/glib-2.0

%changelog
* Mon Feb 11 2002 Stefan van der Eijk <stefan@eijk.nu> 1.3.13-2mdk
- BuildRequires
- Removed directory of %%{_datadir}/gtk-doc and %%{_datadir}/gtk-doc/html
  this packages shouldn't own them.

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.13-1mdk
- Release 1.3.13

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-1mdk
- Release 1.3.12
- Remove patch0 (merged upstream)

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.11-2mdk
- Patch0 (rawhide) : fix for 64bit arch
- Clean specfile with help of Abel Cheung <maddog@linux.org.hk> :
 - Require newer libtool, to fix bootstrap problem
 - More verbose summaries and descriptions
 - Split glib-gettextize into new package

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.11-1mdk
- Release 1.3.11

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.10-2mdk
- Remove testgruntime from package (not needed, since we run make check)

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.10-1mdk
- Release 1.3.10
- Remove patch0 (merged upstream)

* Tue Nov  6 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.9-5mdk
- add patch0 to fix a function definition, which fixes 64-bit build
- un-comment-out make check tests, so that we run them
- do not use %%make, it screws up 'make check' test build

* Wed Oct 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.3.9-4mdk
- add glib-mkenums to filelist

* Sun Oct  7 2001 Stefan van der Eijk <stefan@eijk.nu> 1.3.9-3mdk
- BuildRequires:	pkgconfig

* Thu Oct  4 2001 DindinX <odin@mandrakesoft.com> 1.3.9-2mdk
- rebuild with new libtool

* Thu Sep 27 2001 DindinX <odin@mandrakesoft.com> 1.3.9-1mdk
- 1.3.9

* Tue Aug  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.6-6mdk
- Add missing provides in -devel

* Thu Aug 02 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-5mdk
- rebuild with forcing use of new libtools, included all aclocal files

* Wed Jul 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.6-4mdk
- explicitly list each shared lib, to prevent false build success
  with bad libtool
- Requires: common-licenses, and remove COPYING from %%doc
- run 'make check' tests for each build

* Thu Jun 21 2001 DindinX <odin@mandrakesoft.com> 1.3.6-3mdk
- new name (to follow the policy). Don't ask.

* Tue Jun 19 2001 DindinX <odin@mandrakesoft.com> 1.3.6-2mdk
- rebuild

* Fri Jun 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.6-1mdk
- Bump 1.3.6 into cooker.

* Sun May 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.5-1mdk
- Bump glib version 1.3.5 into cooker.
- Manually install testgruntime.
- In development package don't include the documentation twice.

* Fri Apr 27 2001 DindinX <odin@mandrakesoft.com> 1.3.4-2mdk
- added files for pkgconfig and some documentation

* Wed Apr 25 2001 DindinX <odin@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4

* Tue Dec  5 2000 DindinX <odin@mandrakesoft.com> 1.3.2-4mdk
- new lib policy

* Mon Nov 20 2000 DindinX <odin@mandrakesoft.com> 1.3.2-3mdk
- redo my patch to best fit glib-1.3.2
- move %%doc to -devel

* Mon Nov 20 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3.2-2mdk
- regenerate Dindinx's patch.

* Sat Nov 18 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3.2-1mdk
- release

* Wed Nov 15 2000 DindinX <odin@mandrakesoft.com> 1.3.1-1mdk
- version 1.3.1 (first pre2)

